Subject: [Sipping] Initial review on draft-johnston-sipping-cc-uui-06

From: <[email-masked]>
Date: Tue, 23 Dec 2008 13:44:13 +0100

Draft:  draft-johnston-sipping-cc-uui-06
Reviewer: laura liess
Review Date: 16 December 2008
Review Deadline: 5 January 2009
Status: Initial Review 

Review summary: 
This draft is ready for publication. The requirements and use cases are
already mature enough to be published and handed over to the SIP WG. 
It is a very good requirements document, the requirements and use cases
are clear. DT intends to implement UUI. Our requirements are covered by
the requirements described in the document and we have similar use
cases. I still have some minor comments, which are more of editorial and
informational nature. In particular, I added some references to the UUI
usage in carrier networks and interworking with ISUP (Q.763).  

Below the detailed comments:  

1)Abstract: missing "to" 
OLD: 
 "...new header field be standardized.  Example use cases include an..."

NEW:
 "...new header field to be standardized.  Example use cases include
an..." 

2) Abstract:  "in" should be deleted
OLD: 
"...redirection.  An example application is in an Automatic Call..."
NEW: 
"...redirection.  An example application is an Automatic Call..."
 
3) Section 1 "Overview", first paragraph: missing "s" in "center"
OLD:
"...Q.931 UUI is widely used in the PSTN today in contact center and
call..." 
NEW:
"...Q.931 UUI is widely used in the PSTN today in contact centers and
call..."
 
4)Section 3, REQ-1 and REQ-2: ISUP  Q.763 UUI parameter added
OLD: 
"...receive ITU-T Q.931 User to User Information Element (referred to
as..." 
NEW:
"...receive ITU-T Q.931 User to User Information Element and Q.763
[Q763] User-to-user information parameter (referred to as..." 
 
5) Section 3,REQ-5: Add "and will complicate the interworking with the
PSTN"
OLD:
"Passing a pointer or link to the UUI information will not meet the
      real-time processing considerations." 
NEW:
"Passing a pointer or link to the UUI information will not meet the
      real-time processing considerations and will complicate the
interworking with the PSTN."
 
6)Section 4, first line: "uses" should be "use" 
OLD:
"This section discusses four uses cases for the transport of call.." 
NEW:
"This section discusses four use cases for the transport of call.."
 
7) Section 4.1: Add "or SS7" and "or Q.763" 
OLD:
"If it is an ISDN gateway, it could map the UUI into
   the appropriate Q.931 element." 
NEW:
"If it is an ISDN or SS7 gateway, it could map the UUI into
   the appropriate Q.931 or Q.763 element."
 
8) Section 5.4: Add "or by an application server".  
OLD: 
"While some of the UUI information may ultimately be rendered to the
user,
      most of the UUI information will be consumed by the end device." 
NEW:
"While some of the UUI information may ultimately be rendered to the
user,  most of the UUI information will be consumed by the end device or
by an application server."
 
9) Section 5.4: missing "to" and "meet"
OLD:
"Call-Info usually contains a URI pointer the information instead
      of the actual information itself which does not REQ-5." 
NEW:
"Call-Info usually contains a URI pointer to the information instead
      of the actual information itself which does not meet REQ-5."
 
10) Section 7, 3-rd paragraph: Add "or service provider" and "or ISUP
user-to-user information parameter"  
OLD:
"....a supplementary service in which manufacturer specific
   information is transported via the codeset 0 User-user Information
   IE."
 
NEW:
"...a supplementary service in which manufacturer or service provider
specific
   information is transported via the codeset 0 User-user Information
   IE or ISUP user-to-user information parameter."

11) Section 7, 3-rd paragraph: Are the text "...although it
   could easily be expanded later to address services 2 and 3" and the
detailed descriptions for service 2 and 3 necessary? I thought for
Service 2 and
3 we could
use INFO, or did I miss something? 
 
12) Section 7, 3-rd paragraph: Add specification and messages to
transport UUI in SS7 "For SS7, user-to-user information may be exchanged
within Q.763
messages: INITIAL ADRESS
MESSAGE(IAM), ADDRESS COMPLETE, CALL PROGRESS, CONNECT, ANSWER and
RELEASE."
 
13)Section 8, second paragraph: Add "and ISUP Q.763"
OLD:
"When utilized by a gateway to map information to or from ISDN Q.931,
   appropriate policy should be applied based on the PSTN trust domain."

NEW:
"When utilized by a gateway to map information to or from ISDN Q.931 and
ISUP Q.763,
   appropriate policy should be applied based on the PSTN trust domain."
 
14) Section 10: Add Q.763 to the references
 
"[Q763]     ITU-T Q.763 "Signalling System No. 7 - ISDN user part
              formats and codes"  
              http://www.itu.int/rec/T-REC-Q.763-199912-I/en ."

Thanks,
Laura

Laura Liess
Deutsche Telekom Netzproduktion GmbH 
Heinrich-Hertz-Straße 3-7, 64295 Darmstadt 
+49 6151 628-2761 (Tel.) 
+49 6151 628-3395 (Fax) 
+49 175 2961015 (Mobil) 
[email-masked] (E-mail)
http://www.telekom.com 

Aufsichtsrat: Timotheus Höttges (Vorsitzender) 
Geschäftsführung: Friedrich Fuß (Vorsitzender), Albert Matheis, Klaus Peren 
Handelsregister: Amtsgericht Bonn HRB 14190 
Sitz der Gesellschaft: Bonn 
USt-IdNr.: DE 814645262

_______________________________________________
Sipping mailing list  https://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP